# timeRecords/getReport

Use the endpoint timeRecords/getReport to get a complex report based on a set of parameters.

## Examples&#x20;

Here are some examples on how to get specific data

### Planned hours

| Parameter                          | Value                   |
| ---------------------------------- | ----------------------- |
| groupBy                            | userAccount, week       |
| orderBy                            | timeRecordDateDesc      |
| onlyTotals                         | false                   |
| from                               | {start date} YYYY-MM-DD |
| projectId                          | {project ID}            |
| userAccountTagOperator             | and                     |
| projectTagOperator                 | and                     |
| customerTagOperator                | and                     |
| timeRecordTagOperator              | and                     |
| projectExtensionTagOperator        | and                     |
| showProjectResourceReservationInfo | true                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.milientsoftware.com/help/developers/api/how-to-get-the-your-data/timerecords-getreport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
